summary refs log tree commit diff
path: root/maintainers/scripts/update-redirected-urls.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maintainers/scripts/update-redirected-urls.sh')
-rwxr-xr-xmaintainers/scripts/update-redirected-urls.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/maintainers/scripts/update-redirected-urls.sh b/maintainers/scripts/update-redirected-urls.sh
new file mode 100755
index 00000000000..5ffa9aca5f6
--- /dev/null
+++ b/maintainers/scripts/update-redirected-urls.sh
@@ -0,0 +1,12 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -p bash curl ripgrep jq -i bash
+
+set -euxo pipefail
+
+# Possibly also add non-https redirect, but there were non of those when I first
+# made this script to test that. Feel free to add it when it is relevant.
+curl https://repology.org/api/v1/repository/nix_unstable/problems \
+   | jq -r '.[] | select(.type == "homepage_permanent_https_redirect") | .data | "s@\(.url)@\(.target)@"' \
+   | sort | uniq | tee script.sed
+find -name '*.nix' | xargs -P4 -- sed -f script.sed -i
+rm script.sed